locked
Installing MetroUI App on newer builds fails with error "The attribute 'InitialRotationPreference'... is not defined

    Question

  • We have developed a number of applications on the MSBuild developer preview (build 8102), and when we try to install it on a newer Pre-BETA build (specifically 8161 or 8151), the installation fails.  The error.txt contains the error:

    Deployment failed with HRESULT: 0x80080204, The Appx package's manifest is invalid
    Manifest does not comply with the schema: Line Number: 19, Column Number: 223,
    Reason: The attribute 'InitialRotationPreference' on the element
    '{http://schemas.microsoft.com/appx/2010/manifest}VisualElements' is not defined in the DTD/Schema.

     

    What is causing this?  We've attempted to remove the InitialRotationPreference from our package, but a rebuild causes it to come back.  What are we doing wrong?

     

    Thanks,

    Erich

     

    Thursday, January 12, 2012 10:22 PM

Answers

  • On Thu, 12 Jan 2012 22:22:15 +0000, Erich.Keane wrote:

    We have developed a number of applications on the MSBuild developer preview (build 8102), and when we try to install it on a newer Pre-BETA build (specifically 8161 or 8151), the installation fails.? The error.txt contains the error:

    You should have been provided with an official support channel along with
    the newer builds. This forum is only for the Developer Preview version
    released at the Build conference.


    Paul Adare
    MVP - Forefront Identity Manager
    http://www.identit.ca
    I haven't lost my mind; it's backed up on tape somewhere.

    Thursday, January 12, 2012 11:10 PM
  • Users of this forum generally do not have access to any Windows 8 build newer than the Developer Preview.
    • Marked as answer by Erich.Keane Thursday, January 12, 2012 11:35 PM
    Thursday, January 12, 2012 11:20 PM

All replies

  • On Thu, 12 Jan 2012 22:22:15 +0000, Erich.Keane wrote:

    We have developed a number of applications on the MSBuild developer preview (build 8102), and when we try to install it on a newer Pre-BETA build (specifically 8161 or 8151), the installation fails.? The error.txt contains the error:

    You should have been provided with an official support channel along with
    the newer builds. This forum is only for the Developer Preview version
    released at the Build conference.


    Paul Adare
    MVP - Forefront Identity Manager
    http://www.identit.ca
    I haven't lost my mind; it's backed up on tape somewhere.

    Thursday, January 12, 2012 11:10 PM
  • Users of this forum generally do not have access to any Windows 8 build newer than the Developer Preview.
    • Marked as answer by Erich.Keane Thursday, January 12, 2012 11:35 PM
    Thursday, January 12, 2012 11:20 PM
  • Thanks guys.  I'm a couple of layers removed from the guys who distribute the later builds at my company, so I'll have to see if I can track it down.
    Thursday, January 12, 2012 11:36 PM